X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

This thread was closed and archived. Please ask a new question if you need help.

No Roboform toolbar in Firefox 22 Beta

Posted

Locking this "beta" thread. Firefox 22 was released yesterday.


I have a Windows 8 laptop on the Beta channel. I updated to Firefox 22 Beta yesterday and noticed that the Roboform toolbox was missing. I reinstalled Roboform, just to make sure, but it was not present in the browser windows, nor is it on the Toolbar menu. It does show as an installed add-in, and the toolbar is present in I.E. 10 and Chrome.

Modified by the-edmeister

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.7 r700
  • Google Update
  • Adobe PDF Plug-In For Firefox and Netscape 11.0.03
  • Next Generation Java Plug-in 10.21.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • NVIDIA 3D Vision plugin for Mozilla browsers
  • NVIDIA 3D Vision Streaming plugin for Mozilla browsers
  • The plugin allows you to have a better experience with Microsoft SharePoint
  • 5.1.20125.0
  • Foxit PhantomPDF Plug-In For Firefox and Netscape
  • Office on Demand Plugin
  • A plugin to detect whether the Adobe Application Manager is installed on this machine.
  • NPWLPG

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:21.0) Gecko/20100101 Firefox/21.0

More Information

JGSventek 0 solutions 2 answers

I am unable to access Roboform from Firefox 22 Beta. I've tried a number of different tricks to see if it was RoboForm, but nothing worked. Full delete and removal didn't work, but it works in Opera... barely, IE is broken with version 10, and I'm running out of options.

I even re-registered it in the hopes that it was some sort of bizarre registration issue with the product losing activation but that wasn't it.

It is just similar to what has happened to past releases of Firefox, they forgot about Roboform in their hurry to publish the beta release. I'd bet if I backstepped Firefox magically it would start working again.

JGSventek 0 solutions 2 answers

Helpful Reply

Here is what you need to do: First, admit that Firefox version 22 does NOT support RoboForm or RoboForm does NOT support version 22. Either way, they will spend most of their time pointing the finger at one another before someone gets around to fixing it.

Next, download a previous release of Firefox from:
https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/

Find version 21.0b7, download it, install it.

Then once in Firefox, disable auto update because it will take you BACK to version 22 which doesn't work with RoboForm. Within FireFox, go to: Options -> Advanced -> Update

Select: Check for Updates, but let me choose whether to install them.

Then open FireFox, magically your RoboForm Toolbar is there.

Great job missing the ball there, Mozilla. So happy to be of service, you'll be receiving a bill.

Modified by Noah_SUMO

James
  • Top 25 Contributor
  • Moderator
437 solutions 3148 answers

It is up to RoboForm on what Firefox builds they support, not the other way.

Also if you are going to use Firefox 21.0 then use the Release (at mozilla.org) and not the 21.0b7 Beta build as you suggest.

You cannot expect Mozilla to support the thousand of Extensions out there when it is up to the extensions author to support Firefox. Also this is not a normal extension that will pretty much still be compatible if it was compatible with Firefox 10.0 like the vast majority of extensions are.

Posted with PlayBook.

Modified by James

share666 0 solutions 5 answers

I just asked this question of RoboForm on 6/26. There response was very straightforward.

My question: I notice that RoboForm does not work with beta versions of FF. I may have been lucky but it functioned fine with the last several beta releases. It wasn't until FF 22.0 beta came out that RF quit working. Am I missing something? Thanks.

RoboForm response: Nothing is being missed there, RoboForm is not compatible with Firefox 22. We will have support for it upon full release by Mozilla.

I can't say I'm happy about this either but that's their policy. They don't support beta releases of FF.

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24398 answers

Well, Firefox 22 is no longer a Beta version, it has been released.

Hopefully Roboform is prepared for today's release, and will have their update ready later today, or in the next few days.

55brianb 0 solutions 8 answers

Helpful Reply

Well I've just installed FF22 and guess what? RF doesn't work, so I'm now stuffed until RF fix it. I had no idea there was a problem until about half an hour ago.

It's a poor attitude when they've known since FF22 betas that RF doesn't work, and here we are on release day and RF STILL doesn't work.

I wonder how many support requests they'll get....

I'm thoroughly pissed-off now.

Question owner

Not surprised, considering that RoboForm was working in prior betas. They have to wake up and smell the coffee, not Mozilla. They had plenty of time to address this.

Fortunately, I am a Windows 8 user and I have both versions of IE 10 installed, which IMHO, is not a bad browser, and which, in the desktop iteration, works well with RoboForm.

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24398 answers

Roboform is usually pretty quick providing updates. You may want to try later today as the new version of Firefox isn't usually released this early in the day. Normally it comes at around 17:00 GMT on update Tuesday.

55brianb 0 solutions 8 answers

Here's what RF have just told me:

"RoboForm is not currently compatible with the recent full release of Firefox 22, we are working on a compatibility release however we do not have a eta on deployment."

Great...

My subscription's up in a few weeks. Anyone know of good alternatives to RF?

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24398 answers

Not sure what your parameters are, but are you aware of Mozilla Persona?

http://www.mozilla.org/en-US/persona/

Question owner

Internet Explorer 10 or Chrome. Both work perfectly well with RoboForm.

There are other password managers out there, but I wouldn't spend my money on them. RF has historically been pretty good about this, and as far as I know, is the best of these. If it is that important, use another browser until the update is available.

share666 0 solutions 5 answers

I have Win 8 and IE 10. Unfortunately, RoboForm does not work with the advanced option "Enhanced Protected Mode" turned on. Note this is different than the Protected Mode option found under internet options / security. They also have no ETA regarding when this capability might be available. I've had RF for many years. They seem to be falling behind the power curve a little bit. I have not found any other password manager I like better. KeePass is nice but cumbersome.

share666 0 solutions 5 answers

I'm sorry - I meant to write LastPass not KeePass.

heyk 1 solutions 7 answers

Firefox updated to v.22 today and the Roboform toolbar is nowhere to be seen. It is in add-ons and enabled, but not visible through toolbars or as the icon to customize toolbars. All was well with Firefox 21. There appears to be a problem between Roboform and Firefox 22. Installed version is Roboform v. 7.8.9.5. Please work with them and issue an update to Roboform quickly. We're stuck without it!

Meanwhile, do you have any suggestions about how to get this working? Reinstalling RF didn't make any difference.

Modified by heyk

jneilson64 0 solutions 2 answers

Many thanks for making the misery of updating a little easier hats off for the link to 21.. works like magic !!

aldkopp48 0 solutions 2 answers

I had the same problem no roboform toolbar or fill form with FF22. Went back to FF21. I still had the install in my downloads. Roboform magically re-appeared. I have chrome on my system so I still had roboform there.

Diazruanova 0 solutions 1 answers

same reply from RF as 55brianb

Quote: " (2013/06/25 11:02 pm EDT): Thank you for your message,

RoboForm is not currently compatible with the recent full release of Firefox 22, we are working on a compatibility release however we do not have a eta on deployment. If possible please downgrade to Firefox 21 using the Firefox 21 installer from Mozilla's website to continue to use RoboForm in Firefox until our release is made available to address these compatibility issues. Apologies for the inconvenience.

55brianb 0 solutions 8 answers

Hmmm, and still not a mention of the problem on the RF website. The link "Does RoboForm work with Firefox?" leads to a blank page...